summaryrefslogtreecommitdiffstats
path: root/academic/scilab/scilab.SlackBuild
diff options
context:
space:
mode:
author Fridrich von Stauffenberg2011-11-26 16:42:55 +0100
committer Robby Workman2011-11-26 16:42:55 +0100
commit5bf14287189b807744d60b83755494c90495ea64 (patch)
tree5b33b8537e03ffa626ff2fc2d5980cac68c4a72c /academic/scilab/scilab.SlackBuild
parent520c06233d0c54c485b1ee32829b01a09b9ef7a6 (diff)
downloadslackbuilds-5bf14287189b807744d60b83755494c90495ea64.tar.gz
academic/scilab: Added (numerical computing package)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'academic/scilab/scilab.SlackBuild')
-rw-r--r--academic/scilab/scilab.SlackBuild95
1 files changed, 95 insertions, 0 deletions
diff --git a/academic/scilab/scilab.SlackBuild b/academic/scilab/scilab.SlackBuild
new file mode 100644
index 0000000000..7737c13fc9
--- /dev/null
+++ b/academic/scilab/scilab.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for Scilab
+
+# Copyright 2011 Fridrich von Stauffenberg <cancellor2@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=scilab
+VERSION=${VERSION:-5.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i686" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.bin.linux-$ARCH.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/opt/$PRGNAM
+mv * $PKG/opt/$PRGNAM
+
+# By default, scilab-cli.desktop executes scilab-cli,
+# but scilab-adv-cli.desktop does exactly the same. Why? Who knows.
+sed -i '/^Exec/s/-cli/-adv-cli/' \
+ $PKG/opt/$PRGNAM/share/applications/$PRGNAM-adv-cli.desktop
+
+# By default, all *.desktop files are looking for their icons
+# somewhere inside /usr. Why? No idea.
+sed -i '/^Icon/s/-cli//;/^Icon/s/\/usr/\/opt\/scilab/' \
+ $PKG/opt/$PRGNAM/share/applications/*.desktop
+
+# By default, scilab.pc contains something like this:
+# "prefix=/home/scilab/SuperCC/sci_binary/scilab-5.3.3"
+# WTF? Don't even ask.
+sed -i '/^prefix/s/=.*$/=\/opt\/scilab/' \
+ $PKG/opt/$PRGNAM/lib/pkgconfig/$PRGNAM.pc
+
+mkdir -p $PKG/etc/profile.d
+cat $CWD/profile.d/scilab.sh > $PKG/etc/profile.d/scilab.sh
+cat $CWD/profile.d/scilab.csh > $PKG/etc/profile.d/scilab.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/usr/share/applications
+for TMPVAR in $(ls -1 $PKG/opt/$PRGNAM/share/applications); do
+ ln -s /opt/$PRGNAM/share/applications/$TMPVAR $PKG/usr/share/applications
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}